View Issue Details

IDProjectCategoryView StatusLast Update
0001184bareos-core[All Projects] Generalpublic2020-02-11 17:18
ReporterfrankuAssigned Tofranku 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version19.2.5 
Fixed in Version 
Summary0001184: Using syslog or an invalid message type crashes a daemon
DescriptionUsing the syslog destination or any other invalid type keyword in any messages resource leads to a daemon crash during configparser run.
Steps To ReproduceMessages {
Name = Standard
Director = bareos-dir = all, !skipped, !restored
Description = "Send relevant messages to the Director."
syslog = all = dingens
}
Additional InformationWorkaround: Remove all syslog destinations or invalid message types from the config.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impactyes
bareos-19.2: actionfixed
bareos-18.2: impactno
bareos-18.2: action
bareos-17.2: impactno
bareos-17.2: action
bareos-16.2: impactno
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001177 closedarogge Release Bareos 19.2.6 

Activities

franku

franku

2020-02-10 22:22

administrator   ~0003772

Fix committed to bareos master branch with changesetid 12838.
franku

franku

2020-02-11 16:24

administrator   ~0003780

Fix committed to bareos bareos-19.2 branch with changesetid 12872.
arogge

arogge

2020-02-11 17:18

developer   ~0003783

Fixed in Bareos 19.2.6

Related Changesets

bareos: master f107dbf7

2020-02-05 22:53:56

franku

Ported: N/A

Details Diff
messages: prevent std::string from being initialized with nullptr

Fixes 0001184: Using syslog or an invalid message type crashes a daemon

Do not use NULL or nullptr as const string& argument for ScanTypes
in case of an invalid destination string or for the syslog message destination
Affected Issues
0001184
mod - core/src/lib/res.cc Diff File

bareos: bareos-19.2 439b6f01

2020-02-05 22:53:56

franku

Ported: N/A

Details Diff
messages: prevent std::string from being initialized with nullptr

Fixes 0001184: Using syslog or an invalid message type crashes a daemon

Do not use NULL or nullptr as const string& argument for ScanTypes
in case of an invalid destination string or for the syslog message destination
Affected Issues
0001184
mod - core/src/lib/res.cc Diff File

Issue History

Date Modified Username Field Change
2020-02-10 13:42 franku New Issue
2020-02-10 13:42 franku Status new => assigned
2020-02-10 13:42 franku Assigned To => franku
2020-02-10 13:49 franku Summary Using syslog or an invalid message destiantion crashes a daemon => Using syslog or an invalid message type crashes a daemon
2020-02-10 13:49 franku Description Updated View Revisions
2020-02-10 13:49 franku Additional Information Updated View Revisions
2020-02-10 13:49 franku bareos-master: impact => yes
2020-02-10 13:49 franku bareos-master: action => will care
2020-02-10 13:49 franku bareos-19.2: impact => yes
2020-02-10 13:49 franku bareos-19.2: action => will care
2020-02-10 13:49 franku bareos-18.2: impact => no
2020-02-10 13:49 franku bareos-17.2: impact => no
2020-02-10 13:49 franku bareos-16.2: impact => no
2020-02-10 14:06 arogge Relationship added related to 0001177
2020-02-10 22:22 franku Changeset attached => bareos master f107dbf7
2020-02-10 22:22 franku Note Added: 0003772
2020-02-10 22:22 franku Status assigned => resolved
2020-02-10 22:22 franku Resolution open => fixed
2020-02-11 16:24 franku Changeset attached => bareos bareos-19.2 439b6f01
2020-02-11 16:24 franku Note Added: 0003780
2020-02-11 17:18 arogge Status resolved => closed
2020-02-11 17:18 arogge bareos-master: action will care => fixed
2020-02-11 17:18 arogge bareos-19.2: action will care => fixed
2020-02-11 17:18 arogge Note Added: 0003783